org.eclipse.january.dataset

## Enum LinearAlgebra.NormOrder

- java.lang.Object
- - java.lang.Enum<LinearAlgebra.NormOrder>
  - - org.eclipse.january.dataset.LinearAlgebra.NormOrder

- All Implemented Interfaces:
    Serializable, Comparable<LinearAlgebra.NormOrder>
  Enclosing class:
    LinearAlgebra

      public static enum LinearAlgebra.NormOrder
      extends Enum<LinearAlgebra.NormOrder>

  Order value for norm

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` 2-norm for vectors and Frobenius for matrices
    `FROBENIUS` Frobenius (not allowed for vectors)
    `NEG_INFINITY` Negative infinity
    `POS_INFINITY` Positive infinity
    `ZERO` Zero-order (not allowed for matrices)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LinearAlgebra.NormOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LinearAlgebra.NormOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final LinearAlgebra.NormOrder DEFAULT

      2-norm for vectors and Frobenius for matrices

    - #### FROBENIUS

          public static final LinearAlgebra.NormOrder FROBENIUS

      Frobenius (not allowed for vectors)

    - #### ZERO

          public static final LinearAlgebra.NormOrder ZERO

      Zero-order (not allowed for matrices)

    - #### POS_INFINITY

          public static final LinearAlgebra.NormOrder POS_INFINITY

      Positive infinity

    - #### NEG_INFINITY

          public static final LinearAlgebra.NormOrder NEG_INFINITY

      Negative infinity

  - ### Method Detail

    - #### values

          public static LinearAlgebra.NormOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LinearAlgebra.NormOrder c : LinearAlgebra.NormOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LinearAlgebra.NormOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All rights reserved.